summaryrefslogtreecommitdiff
path: root/sync.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sync.sh')
-rwxr-xr-xsync.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/sync.sh b/sync.sh
new file mode 100755
index 0000000..c71f712
--- /dev/null
+++ b/sync.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+CONFIG=$HOME/.config/nvim
+rm -rf "$CONFIG/lua"
+
+# Check dependencies
+which nvim >/dev/null 2>&1 ||
+ (echo "Neovim not installed!" && exit 1)
+which luarocks >/dev/null 2>&1 ||
+ (echo "Luarocks not installed!" && exit 1)
+luarocks list | grep "fennel" >/dev/null 2>&1 ||
+ (echo "fennel is not installed" && exit 1)
+
+# Bootstrap installment
+(nvim --headless +qa >/dev/null 2>&1 &&
+ nvim --headless +"au User PackerComplete qa" +PackerSync +TSUpdateSync >/dev/null 2>&1 &&
+ echo "Successfully bootstrapped the config!") ||
+ (echo "Bootstrapping failed..." && exit 1)